conjur-asset-ui
===============

This Gem is a Conjur plugin providing UI features.

Usage
-----

First install the gem, with the rather clumsy name `conjur-asset-ui`.

```
gem install conjur-asset-ui
```

Or add the following line to your `Gemfile`:

```
gem 'conjur-asset-ui'
```

Next, edit your `.conjurrc` file to add the `"ui"` plugin, for example:

```
plugins:
  - ui
```

Make sure you are logged into conjur: 

```
conjur authn login
```

And run the UI:

```
conjur ui
```

## Development

### System Dependencies

* rvm with installed Ruby
* npm

### Setup

Create a gemset with [rvm](http://rvm.io):

```sh-session
$ rvm gemset use conjur-asset-ui --create
$ bundle install
```

Run `rake deps:install`, and `rake assets:build` to build js and css assets.

### Running the project

Open 2 terminal tabs.

In one, run `rake assets:watch`. In the other run `conjur ui`.

gulp will rebuild assets as needed when files change.

### Testing
    
```sh-session
$ rake features
# or run only features marked with wip tag
$ rake features:wip
```
