# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'conjur-asset-ui-version'

Gem::Specification.new do |spec|
  spec.name          = "conjur-asset-ui"
  spec.version       = Conjur::Asset::UI::VERSION
  spec.authors       = ["Jon Mason", "Kevin Gilpin", "Rafa\305\202 Rzepecki", "Hleb Rubanau", "Mikalai Sevastsyanau"]
  spec.email         = ["jon@conjur.net", "kgilpin@conjur.net", "rafal@conjur.net", "hleb@conjur.net", "mikalai@conjur.net"]
  spec.homepage      = "http://conjur.net"
  spec.summary       = "Conjur User Interface Plugin"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/) + `find app/build`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "puma"
  spec.add_dependency "conjur-api", ">= 4.10"
  spec.add_dependency "launchy"
  spec.add_dependency "rack"

  # we're monkey patching hackily, so fix the version
  spec.add_dependency "rack-streaming-proxy", "= 2.0.1"

  spec.add_development_dependency "conjur-cli", ">=4.20"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "spork"
  spec.add_development_dependency "ci_reporter"
end
