require 'selenium-cucumber'

Given(/^I should logged in$/) do
  step %[I navigate to "#{login_url}"]
end

When(/^I click on the button (.*) of the navigation menu$/) do |btn|
  id = navigation_btn_to_id(btn)

  step %[I click on element having css ".navbar .dropdown a"]
  step %[element having css "#{id} a" should be present]
  step %[I click on element having css "#{id} a"]
end

Then(/^the (.*) button of the navigation menu should be active$/) do |btn|
  id = navigation_btn_to_id(btn)

  step %[I click on element having css ".navbar .dropdown a"]
  step %[element having css "#{id}.active a" should be present]
end

Then(/^the (.*) list should be present$/) do |btn|
  btn = btn.downcase

  step %[element having css "#content .#{btn}Box .#{btn}List h2" should be present]
end

Then(/^other button except the (.*) button of the navigation menu should be not active$/) do |btn|
  id = navigation_btn_to_id(btn)

  WAIT.until { $driver.find_elements(:css => '.navbar li.active').count } == 1
end
